Bug 49430 - GRUB corrupts mbrs when interacting with Partition Magic 5.0
GRUB corrupts mbrs when interacting with Partition Magic 5.0
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: grub (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-19 11:22 EDT by Richard Forrister
Modified: 2015-01-07 18:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-08 16:15:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Forrister 2001-07-19 11:22:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; SunOS 5.7 sun4u)

Description of problem:
Attempted to install grub to mbr of /dev/hdb because I use Partition Magic
5.0/BootMagic as a primary loader.  MBR's of both /dev/hdb and /dev/sdb
were corrupted and those installations could not be booted afterwards.

How reproducible:
Always

Steps to Reproduce:
1. On a machine with 2 IDE drives (hda, hdb) and 2 scsi hdd's (sda, sdb),
having different OS installations on each drive, install to /dev/hdb. 
Partition Magic/Bootmagic is installed in /dev/hda, Win 98.
2. During boot loader install step, select grub, install to MBR of
/dev/hdb.
3.  After reboot unable to boot either /dev/hdb or /dev/sdb.
	

Actual Results:  see above

Expected Results:  a bootable system.

Additional info:

It was quite interesting that the first drive in each chain (IDE/SCSI) was
not affected, but the second drive in each chain was corrupted.  I
reinstalled, using lilo, and all was well.
Comment 1 Glen Foster 2001-07-19 17:11:03 EDT
This defect considered SHOULD-FIX for Fairfax.
Comment 2 Jeremy Katz 2001-07-31 17:39:47 EDT
Did you select to install to the MBR or the partition?  The MBR exists in one
place, the beginning of the first drive on the system.  What does the created
grub.conf look like?  (preferably from beta3, but earlier will work as well... 
config files for both lilo and grub should be created in beta2+)
Comment 3 Richard Forrister 2001-08-02 09:13:58 EDT
Am quite aware of difference between installing to the MBR on /dev/hda versus
installing to the partition.  At this point I've not been able to get installed,
so can't view the grub.conf.

Have been on vacation, so didn't get this message till this morning.  Will try
reinstalling Beta 2 (all I currently have available) again tonight and make a
boot disk.  Will send the conf then and/or report what happens.

rickf
Comment 4 Jeremy Katz 2001-08-02 11:56:28 EDT
Right, but this is why I'm confused as to installing to /dev/hdb...  that
shouldn't ever be offered as an option, just the main mbr which would be
/dev/hda or /dev/hdb1
Comment 5 Jeremy Katz 2001-08-09 18:18:11 EDT
Have you tried again with a more recent beta?
Comment 6 Richard Forrister 2001-08-28 18:11:06 EDT
problem continues in Roswell Cut 2 with slightly different behaviour.  Current
behaviour on my desktop system is that installing grub to mbr of the root
partition results in getting the line "grub  grub" after reboot, and am unable
to boot system into that installation.

If I duplicate the same install, but use lilo installed to the root partition,
all works correctly.

On a system with a different mix of controllers/drives/software this does not
occur.  I have detailed system reports if you would like to have them.
Comment 7 Jeremy Katz 2001-09-04 16:55:08 EDT
What type of motherboard/BIOS?  Is the install above the 1024th cylinder (thus
would it be triggering use of the LBA32 behavior)?
Comment 8 Richard Forrister 2001-09-10 12:53:11 EDT
Motherboard is ASUS CUBX with flipchip PIII/733MHz CPU.  BIOS has not been
upgraded recently, not sure of the current version.  Installation is on
/dev/hdb, with boot on /dev/hdb1.  Yes, larger drive, but definately boot is in
first 1024.  Am sending full system report to katz & glen to insure complete
information available.
Comment 9 Jeremy Katz 2002-03-08 16:15:31 EST
Is this any better with the grub in Hampton?
Comment 10 Jeremy Katz 2002-05-03 17:28:35 EDT
Closing due to inactivity; please reopen if you have further infomration to add

Note You need to log in before you can comment on or make changes to this bug.